#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    runnergui.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeunittest )

install( PROGRAMS
    tdeunittest tdeunittestmod tdeunittest_debughelper
  DESTINATION ${BIN_INSTALL_DIR} )


##### tdeunittestgui (shared) #####################

tde_add_library( tdeunittestgui SHARED AUTOMOC
  SOURCES testerwidget.ui runnergui.cpp dcopinterface.skel
  VERSION 0.0.0
  LINK tdeunittest-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeunittestguimodrunner (executable) ########

tde_add_executable( tdeunittestguimodrunner
  SOURCES guimodrunner.cpp
  LINK tdeunittestgui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
